Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.webutil.email
Class SendMailBean

`java.lang.Object
oracle.jsp.webutil.email.SendMailBean`

public class SendMailBean
extends java.lang.Object

Send an email using host or Javamail session information. Usage : instantiate the bean, set the host or session, sender and recipient, and optionally, the cc, bcc, subject, contentType and contentEncoding

Constructor Summary
`SendMailBean()` Create a new sendMailBean

Method Summary
`void` | `addAttachmentDisplayName(java.lang.String s1)`
`void` | `addClientAttachment(java.lang.String displayFileName)`
`void` | `addServerAttachment(java.lang.String s1)`
`void` | `close()`
`boolean` | `detectClientAttachment()`
`boolean` | `detectServerAttachment()`
`java.lang.String` | `getAttachmentDisplayName()`
`java.lang.String` | `getBcc()`
`java.lang.String` | `getCc()`
`java.lang.String` | `getClientAttachment()`
`java.lang.String` | `getContent()`
`java.lang.String` | `getContentEncoding()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getFirstServerAttachment()`
`java.lang.String` | `getHost()`
`javax.mail.Session` | `getMailSession()`
`java.lang.String` | `getNextServerAttachment()`
`java.lang.String` | `getRecipient()`
`java.lang.String` | `getSender()`
`java.lang.String` | `getServerAttachment()`
`java.lang.String` | `getSession()`
`java.lang.String` | `getSubject()`
`void` | `sendMessage()`
`void` | `sendMessage(javax.servlet.jsp.PageContext pageContext)`
`void` | `setAttachmentDisplayName(java.lang.String s)`
`java.lang.String` | `setAttachmentPermission(javax.servlet.ServletContext sc, javax.servlet.http.HttpServletRequest req)` return the list of file names as a comma separated string not avaliable from the corresponding tag name does not include the base dir
`void` | `setBcc(java.lang.String s)`
`void` | `setCc(java.lang.String s)`
`void` | `setClientAttachment(java.lang.String displayFileName)`
`void` | `setContent(java.lang.String s)`
`void` | `setContentEncoding(java.lang.String s)`
`void` | `setContentType(java.lang.String s)`
`void` | `setHost(java.lang.String s)`
`void` | `setMailSession(javax.mail.Session session)`
`void` | `setRecipient(java.lang.String s)`
`void` | `setSender(java.lang.String s)`
`void` | `setServerAttachment(java.lang.String s)`
`void` | `setSession(java.lang.String s)`
`void` | `setSubject(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SendMailBean

    public SendMailBean()

  Create a new sendMailBean

Method Detail

### setHost

    public void setHost(java.lang.String s)

### getHost

    public java.lang.String getHost()

### setSession

    public void setSession(java.lang.String s)

  Parameters:
    `s` - A string naming the mail session

### getSession

    public java.lang.String getSession()

### setMailSession

    public void setMailSession(javax.mail.Session session)

  Parameters:
    `session` - A valid mail session This method allows you to set an existing mail session.

### getMailSession

    public javax.mail.Session getMailSession()

### setSender

    public void setSender(java.lang.String s)
                   throws java.lang.Exception

  Parameters:
    `s` - A valid email address for the sender
  Throws:
    `java.lang.Exception`

### getSender

    public java.lang.String getSender()

### setRecipient

    public void setRecipient(java.lang.String s)
                      throws java.lang.Exception

  Parameters:
    `s` - A valid email address for the recipient
  Throws:
    `java.lang.Exception`

### getRecipient

    public java.lang.String getRecipient()

### setCc

    public void setCc(java.lang.String s)

  Parameters:
    `s` - A space or comma separated list email address to get message copies

### getCc

    public java.lang.String getCc()

### setBcc

    public void setBcc(java.lang.String s)

  Parameters:
    `s` - A space or comma separated list email address to for blind copy

### getBcc

    public java.lang.String getBcc()

### setSubject

    public void setSubject(java.lang.String s)

  Parameters:
    `s` - The text for the message subject

### getSubject

    public java.lang.String getSubject()

### addClientAttachment

    public void addClientAttachment(java.lang.String displayFileName)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setClientAttachment

    public void setClientAttachment(java.lang.String displayFileName)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getClientAttachment

    public java.lang.String getClientAttachment()

### addServerAttachment

    public void addServerAttachment(java.lang.String s1)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServerAttachment

    public java.lang.String getServerAttachment()

### setServerAttachment

    public void setServerAttachment(java.lang.String s)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addAttachmentDisplayName

    public void addAttachmentDisplayName(java.lang.String s1)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setAttachmentDisplayName

    public void setAttachmentDisplayName(java.lang.String s)
                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getFirstServerAttachment

    public java.lang.String getFirstServerAttachment()

### getNextServerAttachment

    public java.lang.String getNextServerAttachment()

### getAttachmentDisplayName

    public java.lang.String getAttachmentDisplayName()

### setContentType

    public void setContentType(java.lang.String s)

  Parameters:
    `s` - The message's body content

### getContentType

    public java.lang.String getContentType()

### setContentEncoding

    public void setContentEncoding(java.lang.String s)

  Parameters:
    `s` - The message's body content

### getContentEncoding

    public java.lang.String getContentEncoding()

### setContent

    public void setContent(java.lang.String s)

  Parameters:
    `s` - The message's body content

### getContent

    public java.lang.String getContent()

### sendMessage

    public void sendMessage(javax.servlet.jsp.PageContext pageContext)
                     throws java.lang.Exception

  Parameters:
    `pageContext` - The page context in which a session string representing a valid mail session has been stored. Either the session string, mail session or host string must be available.
  Throws:
    `java.lang.Exception`

### sendMessage

    public void sendMessage()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### close

    public void close()

### setAttachmentPermission

    public java.lang.String setAttachmentPermission(javax.servlet.ServletContext sc,
                                                    javax.servlet.http.HttpServletRequest req)
                                             throws FileAccessException

  return the list of file names as a comma separated string not avaliable from the corresponding tag name does not include the base dir
  Throws:
    `FileAccessException`

### detectClientAttachment

    public boolean detectClientAttachment()

### detectServerAttachment

    public boolean detectServerAttachment()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.